Subject: Re: bug#12443: 24.2.50; Default values in the minibuffer prompt (fix inconsisntecy)

From: Lars Ingebrigtsen <[email-masked]>
Date: Tue, 08 Sep 2020 22:37:11 +0200

Juri Linkov <[email-masked]> writes:

> Here is what I see when trying the old prompt:
>
>   (read-from-minibuffer
>     "New name for tab (leave blank for automatic naming): "
>     nil nil nil nil "tab-name")
>
> Typing RET returns the empty string "".

D'oh.  I missed this bit:

Sixth arg DEFAULT-VALUE, if non-nil, should be a string, which is used
  as the default to ‘read’ if READ is non-nil and the user enters
  empty input.  But if READ is nil, this function does _not_ return
  DEFAULT-VALUE for empty input!  Instead, it returns the empty string.

I'll go over that commit and revert the bits with a nil READ.

But what a...  strange interface.  

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no